/* Styling for home button */
.mini-home-btn {
  position: fixed;
  top: 12px;
  left: 12px;

  display: flex;
  align-items: center;

  text-decoration: none;
  color: inherit;

  background: transparent;
  cursor: pointer;
  z-index: 9999;

  transition: transform 0.15s ease;
}

.home-icon {
  font-size: 20px;
  line-height: 1;
}

/* hidden by default */
.home-text {
  font-family: "Segoe UI", Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  margin-left: 6px;
  color: black;

  opacity: 0;
  transform: translateX(-6px);
  pointer-events: none;

  transition: opacity 0.2s ease, transform 0.2s ease;
  white-space: nowrap;
}

/* Prevent different styling for visited links */
.mini-home-btn:visited {
  color: black;
  text-decoration: none;
}

/* reveal on hover */
.mini-home-btn:hover .home-text {
  opacity: 1;
  text-decoration: none;
  font-size: 14px;
  font-weight: normal;
  transform: translateX(0);
}

/* interaction */
.mini-home-btn:hover {
  text-decoration: none;
  transform: scale(1.05);
}


.mini-home-btn:active {
  text-decoration: none;
  transform: scale(0.95);
}

